Package org.bukkit.block.data.type

# Enum Class Chest.Type

java.lang.Object
java.lang.Enum<Chest.Type>
org.bukkit.block.data.type.Chest.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Chest.Type>`, `Constable`

Enclosing interface:
  Chest

public static enum Chest.Type extends Enum<Chest.Type>
Type of this chest block.
NB: Left and right are relative to the chest itself, i.e opposite to what a player placing the appropriate block would see.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LEFT`
The chest is the left hand side of a double chest and shares a 54 block inventory with the chest to its right.
`RIGHT`
The chest is the right hand side of a double chest and shares a 54 block inventory with the chest to its left.
`SINGLE`
The chest is not linked to any others and contains only one 27 slot inventory.

## Method Summary

Modifier and Type
Method
Description
`static Chest.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Chest.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SINGLE

public static final Chest.Type SINGLE
The chest is not linked to any others and contains only one 27 slot inventory.

### LEFT

public static final Chest.Type LEFT
The chest is the left hand side of a double chest and shares a 54 block inventory with the chest to its right.

### RIGHT

public static final Chest.Type RIGHT
The chest is the right hand side of a double chest and shares a 54 block inventory with the chest to its left.

## Method Details

### values

public static Chest.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Chest.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null